.charity_block {
    width: var(--width-full);
    padding: var(--offset-md-2xs) var(--offset-sm-l);
    flex-direction: column;
    justify-content: center;
    align-items: center;
    display: flex;
}

.charity_block_container {
    justify-content: center;
    align-items: center;
    gap: var(--offset-sm-l);
    width: var(--width-full);
    flex-direction: column;
    max-width: 767px;
    display: flex;
}

.charity_block_container {
    z-index: var(--zindex-100);
}

.charity_block_block_text {
    justify-content: center;
    align-items: center;
    gap: var(--offset-sm-l);
    flex-direction: column;
    display: flex;
}

.charity_block_title,
.charity_block_subtitle,
.charity_block_signature {
    color: #000;
    margin: var(--zindex-0);
    text-align: center;
}

.charity_block_title,
.charity_block_subtitle,
.charity_block_signature {
    color: var(--color-main-5);
}

.charity_block_cards {
    display: none;
}

.charity_block_card {
    height: var(--width-full);
    align-items: center;
    gap: var(--offset-sm-l);
    background-color: RGB(var(--color-main-10));
    width: var(--width-full);
    border-radius: var(--offset-sm-m);
    padding: var(--offset-sm-s);
    flex-direction: column;
    display: flex;
    position: relative;
}

.charity_block_card {
    border-style: solid;
    border-width: var(--width-sm-4xs);
    background: rgba(255, 255, 255, .02);
    border-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, .4), rgba(255, 255, 255, 0)) 1;
}

.charity_block_card {
    background: rgba(255, 255, 255, .02);
}

.charity_block_image_inner {
    width: var(--width-full);
    min-height: 160px;
    height: var(--width-full);
    border-radius: var(--offset-sm-m);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
}

.swiper_horizontal {
    touch-action: pan-y;
}

.charity_block .swiper_slide {
    flex-shrink: var(--zindex-0);
    justify-content: center;
    align-items: center;
    gap: var(--offset-sm-l);
    background-color: RGB(var(--color-main-10));
    border-radius: var(--offset-sm-m);
    width: 280px;
    padding: var(--offset-sm-s);
    flex-direction: column;
    display: flex;
}

.charity_block .swiper_slide {
    background: rgba(255, 255, 255, .02);
}

.charity_block .swiper_image_inner {
    width: var(--width-full);
    border-radius: var(--offset-sm-m);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    height: 160px;
    display: flex;
}

.charity_block_swiper {
    width: calc(100% + 32px);
    display: block;
    overflow: hidden;
    padding-left: var(--offset-sm-l) !important;
    padding-right: var(--offset-sm-l) !important;
    margin-left: -16px !important;
    margin-right: -16px !important;
}

.charity_block_swiper_wrapper {
    display: flex;
    box-sizing: border-box !important;
}

.swiper_android .swiper_slide,
.swiper_ios .swiper_slide,
.swiper_wrapper {
    transform: translate3d(0px, 0, 0);
}

.charity_block .swiper_card_text {
    color: #000;
    min-height: var(--height-xl-l);
    height: var(--width-full);
    text-align: center;
    line-height: 19px;
}

.charity_block .swiper_card_text {
    color: var(--color-main-5);
}

.charity_block .swiper_pagination {
    justify-content: center;
    align-items: center;
    gap: var(--offset-sm-m);
    margin-top: var(--offset-sm-l);
    display: flex;
    width: 100%;
}

.charity_block .swiper_pagination_bullet {
    width: var(--offset-sm-s);
    height: var(--offset-sm-s);
    border-radius: var(--width-full);
    cursor: pointer;
    background: #2a2b30;
    margin: 0;
}

.charity_block .swiper_pagination_bullet {
    background: #2a2b30;
}

.charity_block .swiper_pagination_bullet_active {
    background: #ffc52e;
}

.charity_block_title,
.charity_block_subtitle,
.charity_block_signature {
    color: #000;
    margin: var(--zindex-0);
    text-align: center;
}

.charity_block_signature {
    margin-top: var(--offset-sm-l);
}

.charity_block_title,
.charity_block_subtitle,
.charity_block_signature {
    color: var(--color-main-5);
}

.charity_block_card_text {
    color: #000;
    height: var(--width-full);
    text-align: center;
}

.charity_block_card_text {
    color: var(--color-main-5);
}

@media (min-width: 768px) {
    .charity_block {
        padding: var(--offset-md-l);
    }

    .charity_block_container {
        gap: var(--offset-md-2xs);
        max-width: var(--width-full);
    }

    .charity_block_block_text {
        gap: var(--offset-md-2xs);
    }

    .charity_block_cards {
        max-width: 1104px;
        width: var(--width-full);
        gap: var(--offset-sm-l);
        grid-template-columns: repeat(3, 1fr);
        display: grid;
    }

    .charity_block_card {
        padding: var(--offset-sm-s);
    }

    .charity_block_image_inner {
        min-height: var(--height-xl-xl);
        height: 100px;
    }

    .charity_block_swiper {
        overflow: hidden;
        display: none !important;
    }

    .charity_block_signature {
        margin-top: var(--zindex-0);
    }
}

@media (min-width: 1024px) {
    .charity_block_cards {
        gap: var(--offset-md-2xs);
    }

    .charity_block_card {
        padding: var(--offset-sm-l);
    }

    .charity_block_image_inner {
        min-height: 170px;
    }
}

@media (min-width: 1360px) {
    .charity_block_card {
        padding: var(--offset-md-2xs);
    }

    .charity_block_image_inner {
        min-height: var(--height-xl-3xl);
    }
}